Sites & Content
funnels, forms & media api
The “Update Redirect By Id” API Allows updating an existing URL redirect in the system. Use this endpoint to modify a URL redirect with the specified ID using details provided in the request payload.
cURL
curl --request PATCH \ --url https://services.leadconnectorhq.com/funnels/lookup/redirect/{id} \ --header 'Content-Type: application/json' \ --data ' { "target": "https://www.google.com", "action": "URL", "locationId": "6p2RxpgtMKQwO3E6IUaT" } '
{ "data": { "id": "6p2RxpgtMKQwO3E6IUaT", "locationId": "6p2RxpgtMKQwO3E6IUaT", "domain": "www.example.com", "path": "/old-path", "pathLowercase": "/old-path", "type": "Permanent", "target": "https://www.example.com/new-path", "action": "url" } }
"https://www.google.com"
funnel
website
webinar
url
all
"URL"
"6p2RxpgtMKQwO3E6IUaT"
Successful response
Show child attributes
Was this page helpful?